# Base image with Python 3.10
FROM python:3.10-slim

# Set work directory inside container
WORKDIR /app

# Copy dependency file and install dependencies
COPY requirements.txt .
RUN pip install --no-cache-dir -r requirements.txt

# Copy the rest of your code
COPY . .

# Default command (can be overridden in docker run)
CMD ["python3", "main.py"]
